Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.event
Interface WindowEvent

All Superinterfaces:
  Event

public interface WindowEvent
extends Event

A `WindowEvent` is sent by a portlet window whenever the user or the portal interacts with its controls.

Author:
  Thomas F. Boehme
See Also:
  `WindowListener`, `WindowAdapter`

Field Summary
`static int` | `WINDOW_CLOSED` Event identifier indicating that a portlet window is closed.
`static int` | `WINDOW_DETACHED` Event identifier indicating that a portlet window will be detached.
`static int` | `WINDOW_MAXIMIZED` Event identifier indicating that a portlet window will be maximized.
`static int` | `WINDOW_MINIMIZED` Event identifier indicating that a portlet window will be minimized.
`static int` | `WINDOW_RESTORED` Event identifier indicating that a portlet window will be restored.

Methods inherited from interface org.apache.jetspeed.portlet.event.Event
`getConfig, getPortlet, getRequest`

Field Detail

### WINDOW_DETACHED

    public static final int WINDOW_DETACHED

  Event identifier indicating that a portlet window will be detached.

  An event with this id is fired when the user has requested that the window be detached from the rest of the portlet page.

  See Also:
    Constant Field Values

### WINDOW_MAXIMIZED

    public static final int WINDOW_MAXIMIZED

  Event identifier indicating that a portlet window will be maximized.

  An event with this id is fired when the user has requested that the window be maximized.

  See Also:
    Constant Field Values

### WINDOW_MINIMIZED

    public static final int WINDOW_MINIMIZED

  Event identifier indicating that a portlet window will be minimized.

  An event with this id is fired when the user has requested that the window be minimized.

  See Also:
    Constant Field Values

### WINDOW_RESTORED

    public static final int WINDOW_RESTORED

  Event identifier indicating that a portlet window will be restored.

  An event with this id is fired when the user has requested that the window be restored to its previous size.

  See Also:
    Constant Field Values

### WINDOW_CLOSED

    public static final int WINDOW_CLOSED

  Event identifier indicating that a portlet window is closed.

  An event with this id is fired when the user has requested that the window be closed.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.